#!/bin/bash

getDisplay () {
        local DESK

        DESK="$(~/.config/hypr/scripts/displaybyname.sh Samsung Electric Company S34J55x H4LT100404)"

        [[ -n "$DESK" ]] && echo $DESK && return
        echo "eDP-1"
}

if [[ -z "$PRIMARY_DISPLAY" ]]; then
        PRIMARY_DISPLAY="$(getDisplay)"
fi

export PRIMARY_DISPLAY
envsubst < ~/.config/waybar/config > /tmp/waybar

pkill waybar
waybar -c /tmp/waybar &!
